## GgitCommitParents GgitCommitParents |

## Functions

GgitCommitParents * | ggit_commit_parents_new ()
guint | ggit_commit_parents_get_size ()
GgitCommit * | ggit_commit_parents_get ()
GgitOId * | ggit_commit_parents_get_id ()

## Properties

GgitCommit * | commit | Read / Write / Construct Only
guint | size | Read

## Types and Values

#define | GGIT_TYPE_COMMIT_PARENTS
| GgitCommitParents

## Object Hierarchy

        GObject
        ╰── GgitCommitParents

## Description

## Functions

### ggit_commit_parents_new ()

    GgitCommitParents *
    ggit_commit_parents_new (GgitCommit *commit);

### ggit_commit_parents_get_size ()

    guint
    ggit_commit_parents_get_size (GgitCommitParents *parents);

Get the number of parents in the parents collection.

#### Parameters

parents | a GgitCommitParents. |

#### Returns

the number of parents.

### ggit_commit_parents_get ()

    GgitCommit *
    ggit_commit_parents_get (GgitCommitParents *parents,
                             guint idx);

Get the GgitCommit of a parent.

#### Parameters

parents | a GgitCommitParents. |
idx | the parent index. |

#### Returns

a GgitCommit.

[transfer full][nullable]

### ggit_commit_parents_get_id ()

    GgitOId *
    ggit_commit_parents_get_id (GgitCommitParents *parents,
                                guint idx);

Get the GgitOId of a parent.

#### Parameters

parents | a GgitCommitParents. |
idx | the parent index. |

#### Returns

a GgitOId.

[transfer full][nullable]

## Types and Values

### GGIT_TYPE_COMMIT_PARENTS

    #define GGIT_TYPE_COMMIT_PARENTS    (ggit_commit_parents_get_type ())

### GgitCommitParents

    typedef struct _GgitCommitParents GgitCommitParents;

Represents the parents of a commit object.

## Property Details

### The `“commit”` property

      “commit”                   GgitCommit *

The commit for the parents collection.

Flags: Read / Write / Construct Only

### The `“size”` property

      “size”                     guint

The size of the parents collection.

Flags: Read

Default value: 0